import { LinksNames } from 'core/types/Calculation/Store/links';
import { makeAutoObservable } from 'mobx';

const calculationUrls = makeAutoObservable({
  urls: {},
  setUrl({ name, url }: { name: LinksNames; url?: string }) {
    this.urls[name] = url;
  },
});

export default calculationUrls;

export type TCalculationUrls = typeof calculationUrls;
